AnsweredAssumed Answered

Installation Error For Mac (LAX)

Question asked by cyhnylmz on Apr 2, 2015
Latest reply on Aug 27, 2015 by cyhnylmz

Hi , I am trying to install Arcgis Runtime SDK for Qt on Mac OS(10.10). when i run RuntimeSDKQt_Installer which in ArcGIS RuntimeSDK Qt 10.2.5.dmg file on the mac terminal i got an error  as below :

 

/Volumes/ArcGIS\ RuntimeSDK\ Qt\ 10.2.5/RuntimeSDKQt_Installer.app/Contents/MacOS/RuntimeSDKQt_Installer ; exit;

Admin-MacBook:~ admin$ /Volumes/ArcGIS\ RuntimeSDK\ Qt\ 10.2.5/RuntimeSDKQt_Installer.app/Contents/MacOS/RuntimeSDKQt_Installer ; exit;

Archive:  /Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java/uninstall.zip

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/PkgInfo 

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/Info.plist 

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/Resources/LaunchAnywhere.icns 

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/Resources/Java/libsecuretextservices.dylib 

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/Resources/Java/IAMac.dylib 

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/MacOS/Change ArcGISRuntimeSDKQt Installation 

  inflating: Change ArcGISRuntimeSDKQt Installation.app/Contents/Resources/Java/linking.zip 

 

 

------Executable: "/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java" -Xms16m -Xmx192m -cp "/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java/Execute.zip:/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java/IAClasses.zip:/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java/installscript.zip:/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java:/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java/linking.zip" -Dfile.encoding=UTF-8 -Djava.library.path=.:/Library/Java/Extensions:/Network/Library/Java/Extensions:/System/Library/Java/Extensions:/usr/lib/java:"/Volumes/ArcGIS RuntimeSDK Qt 10.2.5":"/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib":"/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/Java":"/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/MacOS":"/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources" -Xdock:name="ArcGISRuntimeSDKQt" -Xdock:icon="/Volumes/ArcGIS RuntimeSDK Qt 10.2.5/RuntimeSDKQt_Installer.app/Contents/Resources/SelfExtractor.icns" com.zerog.lax.LAX "/var/folders/vv/rzddmcdd6xq894qqkr277xm40000gn/T/app.properties"-------

 

Trying to load library IAMac

IAMac utility library loaded

The properties files is missing an essential property: lax.main.class. Please make sure it exists in the properties file: /var/folders/vv/rzddmcdd6xq894qqkr277xm40000gn/T/app.properties

Unable to Launch Java Application: The properties files is missing an essential property: lax.main.class. Please make sure it exists in the properties file: /var/folders/vv/rzddmcdd6xq894qqkr277xm40000gn/T/app.properties

Unable to locate the application's 'main' class. The class 'null' must be public and have a 'public static void null(String[])' method. (LAX)

Unable to Launch Java Application: Unable to locate the application's 'main' class. The class 'null' must be public and have a 'public static void null(String[])' method. (LAX)

logout

 

Anyone Help ?

Outcomes